'use strict';
var settings = require('./settings');

module.exports = {
	"extends": "stylelint-config-suitcss",
	"rules": {
		"indentation": settings.css.editorconfig.indent_style || "space",
		"declaration-block-properties-order": [
			"@apply",
			"position",
			"top",
			"right",
			"bottom",
			"left",
			"z-index",
			"display",
			"visibility",
			"flex-direction",
			"flex-order",
			"flex-pack",
			"float",
			"clear",
			"flex-align",
			"overflow",
			"overflow-x",
			"overflow-y",
			"-webkit-overflow-scrolling",
			"clip",
			"box-sizing",
			"margin",
			"padding",
			"min-width",
			"min-height",
			"max-width",
			"max-height",
			"width",
			"height",
			"outline",
			"outline-width",
			"outline-style",
			"outline-color",
			"outline-offset",
			"border",
			"border-spacing",
			"border-collapse",
			"border-width",
			"border-style",
			"border-color",
			"border-top",
			"border-top-width",
			"border-top-style",
			"border-top-color",
			"border-right",
			"border-right-width",
			"border-right-style",
			"border-right-color",
			"border-bottom",
			"border-bottom-width",
			"border-bottom-style",
			"border-bottom-color",
			"border-left",
			"border-left-width",
			"border-left-style",
			"border-left-color",
			"border-radius",
			"border-top-left-radius",
			"border-top-right-radius",
			"border-bottom-right-radius",
			"border-bottom-left-radius",
			"border-image",
			"border-image-source",
			"border-image-slice",
			"border-image-width",
			"border-image-outset",
			"border-image-repeat",
			"border-top-image",
			"border-right-image",
			"border-bottom-image",
			"border-left-image",
			"border-corner-image",
			"border-top-left-image",
			"border-top-right-image",
			"border-bottom-right-image",
			"border-bottom-left-image",
			"background",
			"filter:progid:DXImageTransform.Microsoft.AlphaImageLoader",
			"background-color",
			"background-image",
			"background-attachment",
			"background-position",
			"background-position-x",
			"background-position-y",
			"background-clip",
			"background-origin",
			"background-size",
			"background-repeat",
			"box-decoration-break",
			"box-shadow",
			"color",
			"table-layout",
			"caption-side",
			"empty-cells",
			"list-style",
			"list-style-position",
			"list-style-type",
			"list-style-image",
			"quotes",
			"content",
			"counter-increment",
			"counter-reset",
			"-ms-writing-mode",
			"vertical-align",
			"text-align",
			"text-align-last",
			"text-decoration",
			"text-emphasis",
			"text-emphasis-position",
			"text-emphasis-style",
			"text-emphasis-color",
			"text-indent",
			"-ms-text-justify",
			"text-justify",
			"text-outline",
			"text-transform",
			"text-wrap",
			"text-overflow",
			"text-overflow-ellipsis",
			"text-overflow-mode",
			"text-shadow",
			"white-space",
			"word-spacing",
			"word-wrap",
			"word-break",
			"tab-size",
			"hyphens",
			"letter-spacing",
			"font",
			"font-family",
			"font-size",
			"font-weight",
			"font-style",
			"font-variant",
			"font-size-adjust",
			"font-stretch",
			"src",
			"line-height",
			"opacity",
			"-ms-filter:\\'progid:DXImageTransform.Microsoft.Alpha",
			"filter:progid:DXImageTransform.Microsoft.Alpha(Opacity",
			"-ms-interpolation-mode",
			"filter",
			"resize",
			"cursor",
			"nav-index",
			"nav-up",
			"nav-right",
			"nav-down",
			"nav-left",
			"transition",
			"transition-delay",
			"transition-timing-function",
			"transition-duration",
			"transition-property",
			"transform",
			"transform-origin",
			"animation",
			"animation-name",
			"animation-duration",
			"animation-play-state",
			"animation-timing-function",
			"animation-delay",
			"animation-iteration-count",
			"animation-direction",
			"pointer-events",
			"unicode-bidi",
			"direction",
			"columns",
			"column-span",
			"column-width",
			"column-count",
			"column-fill",
			"column-gap",
			"column-rule",
			"column-rule-width",
			"column-rule-style",
			"column-rule-color",
			"break-before",
			"break-inside",
			"break-after",
			"page-break-before",
			"page-break-inside",
			"page-break-after",
			"orphans",
			"widows",
			"zoom",
			"max-zoom",
			"min-zoom",
			"user-zoom",
			"orientation"
		]
	}
};
